public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/lapack/
Date: Sun,  8 Mar 2020 04:35:27 +0000 (UTC)	[thread overview]
Message-ID: <1583642086.09e858da1b3331b1ed8786235a3e3bdb9732956d.heroxbd@gentoo> (raw)

commit:     09e858da1b3331b1ed8786235a3e3bdb9732956d
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Feb 29 10:49:33 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Mar  8 04:34:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09e858da

sci-libs/lapack: readd deprecated functions.

Reported-By: leoricupero <AT> gmail.com
Closes: https://bugs.gentoo.org/702254
Closes: https://github.com/gentoo/gentoo/pull/14803
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/lapack/lapack-3.8.0-r1.ebuild | 92 ++++++++++++++++++++++++++++++++++
 sci-libs/lapack/metadata.xml           |  1 +
 2 files changed, 93 insertions(+)

diff --git a/sci-libs/lapack/lapack-3.8.0-r1.ebuild b/sci-libs/lapack/lapack-3.8.0-r1.ebuild
new file mode 100644
index 00000000000..bf8ffd46029
--- /dev/null
+++ b/sci-libs/lapack/lapack-3.8.0-r1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake-utils
+
+DESCRIPTION="BLAS,CBLAS,LAPACK,LAPACKE reference implementations"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="lapacke deprecated doc eselect-ldso"
+# TODO: static-libs 64bit-index
+
+RDEPEND="
+	eselect-ldso? ( >=app-eselect/eselect-blas-0.2
+	>=app-eselect/eselect-lapack-0.2 )
+	!app-eselect/eselect-cblas
+	!sci-libs/blas-reference
+	!sci-libs/cblas-reference
+	!sci-libs/lapack-reference
+	!sci-libs/lapacke-reference
+	virtual/fortran
+	doc? ( app-doc/blas-docs )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_configure() {
+	local mycmakeargs=(
+		-DCBLAS=ON
+		-DLAPACKE=$(usex lapacke)
+		-DBUILD_DEPRECATED=$(usex deprecated)
+		-DBUILD_SHARED_LIBS=ON
+	)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	use eselect-ldso || return
+	# Create private lib directory for eselect::blas (ld.so.conf)
+	dodir /usr/$(get_libdir)/blas/reference
+	dosym ../../libblas.so usr/$(get_libdir)/blas/reference/libblas.so
+	dosym ../../libblas.so.3 usr/$(get_libdir)/blas/reference/libblas.so.3
+	dosym ../../libcblas.so usr/$(get_libdir)/blas/reference/libcblas.so
+	dosym ../../libcblas.so.3 usr/$(get_libdir)/blas/reference/libcblas.so.3
+
+	# Create private lib directory for eselect::lapack (ld.so.conf)
+	dodir /usr/$(get_libdir)/lapack/reference
+	dosym ../../liblapack.so usr/$(get_libdir)/lapack/reference/liblapack.so
+	dosym ../../liblapack.so.3 usr/$(get_libdir)/lapack/reference/liblapack.so.3
+}
+
+pkg_postinst() {
+	use eselect-ldso || return
+
+	local me=reference libdir=$(get_libdir)
+	# check eselect-blas
+	eselect blas add ${libdir} "${EROOT}"/usr/${libdir}/blas/${me} ${me}
+	local current_blas=$(eselect blas show ${libdir} | cut -d' ' -f2)
+	if [[ ${current_blas} == ${me} || -z ${current_blas} ]]; then
+		eselect blas set ${libdir} ${me}
+		elog "Current eselect: BLAS ($libdir) -> [${current_blas}]."
+	else
+		elog "Current eselect: BLAS ($libdir) -> [${current_blas}]."
+		elog "To use blas [${me}] implementation, you have to issue (as root):"
+		elog "\t eselect blas set ${libdir} ${me}"
+	fi
+
+	# check eselect-lapack
+	eselect lapack add ${libdir} "${EROOT}"/usr/${libdir}/lapack/${me} ${me}
+	local current_lapack=$(eselect lapack show ${libdir} | cut -d' ' -f2)
+	if [[ ${current_lapack} == ${me} || -z ${current_lapack} ]]; then
+		eselect lapack set ${libdir} ${me}
+		elog "Current eselect: LAPACK ($libdir) -> [${current_lapack}]."
+	else
+		elog "Current eselect: LAPACK ($libdir) -> [${current_lapack}]."
+		elog "To use lapack [${me}] implementation, you have to issue (as root):"
+		elog "\t eselect lapack set ${libdir} ${me}"
+	fi
+}
+
+pkg_postrm() {
+	use eselect-ldso || return
+
+	eselect blas validate
+	eselect lapack validate
+}

diff --git a/sci-libs/lapack/metadata.xml b/sci-libs/lapack/metadata.xml
index adc276993c4..e4cd26e0166 100644
--- a/sci-libs/lapack/metadata.xml
+++ b/sci-libs/lapack/metadata.xml
@@ -23,6 +23,7 @@ that has found extensive use in the scientific community.
 This package installs the reference FORTRAN 77 implementation from Netlib.
   </longdescription>
   <use>
+    <flag name="deprecated">Also build deprecated functions</flag>
     <flag name="lapacke">Build LAPACKE</flag>
     <flag name="eselect-ldso">Enable runtime library switching by
     eselect and ld.so.</flag>


             reply	other threads:[~2020-03-08  4:35 UTC|newest]

Thread overview: 87+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-08  4:35 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-02  4:57 [gentoo-commits] repo/gentoo:master commit in: sci-libs/lapack/ Sam James
2024-04-04 16:23 Arthur Zamarin
2024-03-16  8:41 Arthur Zamarin
2024-03-15 21:47 Arthur Zamarin
2024-03-15 16:18 Arthur Zamarin
2024-03-15 16:04 Arthur Zamarin
2024-03-15 15:39 Arthur Zamarin
2024-03-15 15:39 Arthur Zamarin
2024-03-15 15:37 Arthur Zamarin
2024-03-04 11:35 Sam James
2024-03-04  5:20 Sam James
2024-03-03  4:05 Sam James
2024-02-28 15:27 Sam James
2024-02-06 22:41 Sam James
2024-02-03  6:56 Sam James
2024-02-02 15:39 Arthur Zamarin
2024-02-02  6:40 Sam James
2024-02-02  4:44 Sam James
2024-02-02  4:44 Sam James
2023-11-24 21:53 Sam James
2023-08-24 23:15 Sam James
2023-08-24 23:15 Sam James
2023-03-18 21:45 James Le Cuirot
2023-03-18 21:36 James Le Cuirot
2023-03-04 17:25 Arthur Zamarin
2023-03-04 11:22 Arthur Zamarin
2023-03-04  9:26 Arthur Zamarin
2023-03-04  8:07 Arthur Zamarin
2023-03-04  7:51 Arthur Zamarin
2023-03-04  6:17 Arthur Zamarin
2023-03-04  6:06 Arthur Zamarin
2023-03-04  5:55 Arthur Zamarin
2022-12-19 14:47 Andreas Sturmlechner
2022-11-16  6:08 Arthur Zamarin
2022-11-12  2:39 Sam James
2022-11-12  0:05 Sam James
2022-11-12  0:05 Sam James
2022-11-11 22:46 Sam James
2022-11-11 22:45 Sam James
2022-11-11 22:39 Sam James
2022-11-11 22:39 Sam James
2022-11-11 22:36 Sam James
2022-05-14  3:42 WANG Xuerui
2022-04-13  0:53 Sam James
2022-04-13  0:53 Sam James
2021-12-02 10:18 Andreas Sturmlechner
2021-12-02  8:27 Arthur Zamarin
2021-12-02  8:24 Agostino Sarubbo
2021-12-02  0:59 Sam James
2021-12-01 19:45 Arthur Zamarin
2021-12-01 19:45 Arthur Zamarin
2021-12-01 19:45 Arthur Zamarin
2021-12-01 19:45 Arthur Zamarin
2021-12-01 19:45 Arthur Zamarin
2021-11-30 13:30 Andreas Sturmlechner
2021-07-01 22:41 Marek Szuba
2021-06-29  6:02 Sam James
2021-03-15 19:24 Sam James
2021-02-06 21:33 Sam James
2021-01-06 15:17 Fabian Groffen
2020-12-29  6:52 Sam James
2020-11-15 14:52 David Seifert
2020-11-12 21:03 Thomas Deutschmann
2020-11-07 20:37 Sergei Trofimovich
2020-11-07 20:34 Sergei Trofimovich
2020-11-07  1:25 Sam James
2020-11-06 22:35 Sam James
2020-11-06 14:51 Sam James
2020-11-06 11:16 Sam James
2020-09-30  0:19 Sam James
2020-08-01  9:01 Sergei Trofimovich
2020-08-01  8:53 Sergei Trofimovich
2020-07-25 21:01 Sam James
2020-07-25 14:08 Sam James
2020-07-25  8:42 Sergei Trofimovich
2020-07-24 11:54 Sam James
2020-06-01 19:52 Sergei Trofimovich
2020-05-20  6:25 Agostino Sarubbo
2020-02-08 17:06 David Seifert
2019-12-24 20:03 Mikle Kolyada
2019-12-01 14:01 Sergei Trofimovich
2019-11-24  4:24 Aaron Bauman
2019-11-15 12:47 Agostino Sarubbo
2019-11-01 11:14 Mikle Kolyada
2019-10-31 23:50 Thomas Deutschmann
2019-06-26  3:11 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583642086.09e858da1b3331b1ed8786235a3e3bdb9732956d.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox